
<table border="1">
  <thead>
    <tr>
      <th>Id</th>
      <th>Label</th>
      <th>Price</th>
      <th>Category</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let prod of data">
      <td>{{prod.id}}</td>
      <td>{{prod.label}}</td>
      <td>{{prod.price}}€</td>
      <td>
        <select [(ngModel)]="prod.category" *ngIf="categories.length > 0"
          (change)="onUpdate(prod)">
          <option *ngFor="let catItem of categories">
            {{catItem.label}}
          </option>
        </select>
      </td>
    </tr>
  </tbody>
</table>
